REM   build-jar.bat
REM	Run this script to repackage all the separate Swing .jar files 
REM	into one jar file and include the BeanInfo classes and Icons. 

echo Creating swingall.jar file in current directory

@echo off
if not exist .\swing.jar goto noswingjar
if exist .\com  goto com

REM  unjar the existing swing.jar,motif.jar, windows.jar beaninfo.jar
@echo on
jar xf swing.jar
jar xf motif.jar
jar xf windows.jar
jar xf beaninfo.jar

REM  jar all the files into swingall.jar
jar cfm swingall.jar manifest com\sun
rmdir /s/q  com 
@echo off
echo Now you can import swingall.jar into a Builder App
goto done

:noswingjar
echo ERROR: Can't find swing.jar in current directory
goto done

:com
echo ERROR: Please run this script from a directory that doesn't have one file/dir named "com"

:done
